summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWez Furlong <wez@wezfurlong.org>2019-10-20 10:25:31 +0100
committerWez Furlong <wez@wezfurlong.org>2019-10-20 11:14:01 +0100
commit0224d356ae09beb0df702c251b14e9cb8382f3e5 (patch)
treecb7768825a630593cc8fd2c20c01f57c3963a008
parent0c6911770f4989076ee06f3b796af7fdf7ddb08b (diff)
downloadssh2-rs-0224d356ae09beb0df702c251b14e9cb8382f3e5.zip
increase debugability of integration tests
-rwxr-xr-xtests/run_integration_tests.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/run_integration_tests.sh b/tests/run_integration_tests.sh
index f535765..5d6fb34 100755
--- a/tests/run_integration_tests.sh
+++ b/tests/run_integration_tests.sh
@@ -9,10 +9,8 @@ set -x
export RUST_SSH2_FIXTURE_PORT=8022
cleanup() {
- # Stop the ssh server
- kill $(< $SSHDIR/sshd.pid)
- # Stop local ssh agent
- kill $SSH_AGENT_PID
+ # Stop the ssh server and local ssh agent
+ kill $(< $SSHDIR/sshd.pid) $SSH_AGENT_PID || true
}
trap cleanup EXIT
@@ -53,6 +51,8 @@ MaxStartups 500
StrictModes no
EOT
+cat $SSHDIR/sshd_config
+
# Start an ssh server
/usr/sbin/sshd -p $RUST_SSH2_FIXTURE_PORT -f $SSHDIR/sshd_config -E $SSHDIR/sshd.log
# Give it a moment to start up